## Add nuke.pluginAddPath('nuke/plugins/plugins/MOTools')

import nuke
import MOTools_AutoWrite
import MOTools_PostageStampControl

def createMenu():
    menu = nuke.menu('Nodes')
    subMenu = menu.addMenu("MOTools", icon = "MOTools.png")

    # Automation
    subMenu.addCommand('Automation/Auto Write', 'MOTools_AutoWrite.createautowrite()')
    subMenu.addCommand('Automation/Auto Slate', 'nuke.createNode("MOTools_AutoSlate.gizmo")')

    # FX
    subMenu.addCommand('FX/Chromatic Aberration Fast', 'nuke.createNode("MOTools_ChromaticAberration_Fast.gizmo")')
    subMenu.addCommand('FX/Chromatic Aberration Filter', 'nuke.createNode("MOTools_ChromaticAberration_Filter.gizmo")')
    subMenu.addCommand('FX/Chromatic Aberration V2', 'nuke.createNode("MOTools_ChromaticAberration_v02.gizmo")')
    subMenu.addCommand('FX/Mikes Super Sun Flare', 'nuke.createNode("MOTools_SunFlare.gizmo")')

    # Transforms
    subMenu.addCommand('Transforms/Repeater', 'nuke.createNode("MOTools_Repeater.gizmo")')
    subMenu.addCommand('Transforms/Crop 10%', 'nuke.createNode("MOTools_Transform_CropOverscan.gizmo")')
    
    # Mattes
    subMenu.addCommand('Matte/Select by color', 'nuke.createNode("MOTools_Matte_Color.gizmo")')
    subMenu.addCommand('Matte/Select by ID Integer', 'nuke.createNode("MOTools_Matte_IDInteger.gizmo")')
    subMenu.addCommand('Matte/Select by World Pos', 'nuke.createNode("MOTools_Matte_WPPos.gizmo")')

    # Debug
    subMenu.addCommand("- - - - -", "", "")#this command just adds a separation line in a dropdown
    subMenu.addCommand('Debug/DEBUG - START', 'nuke.startPerformanceTimers()')
    subMenu.addCommand('Debug/DEBUG - END', 'nuke.stopPerformanceTimers()')
    subMenu.addCommand('Debug/Postage Stamps/Turn Off all postage stamps', "MOTools_PostageStampControl.AllpostageStampsOff()")
    subMenu.addCommand('Debug/Postage Stamps/Read On', "MOTools_PostageStampControl.readPostageStampOn()")
    subMenu.addCommand('Debug/Postage Stamps/Read OFF', "MOTools_PostageStampControl.readPostageStampOff()")
    subMenu.addCommand('Debug/Postage Stamps/Write On', "MOTools_PostageStampControl.writePostageStampOn()")
    subMenu.addCommand('Debug/Postage Stamps/Write OFF', "MOTools_PostageStampControl.writePostageStampOff()")

    # Help and Webpages
    subMenu.addCommand("Help/www.MikeOakley.com", "nuke.tcl(\"start \\\"http://www.MikeOakley.com/wiki/\\\"\")")
    subMenu.addCommand("Help/Nukepedia", "nuke.tcl(\"start \\\"http://www.nukepedia.com\\\"\")")
    print "Loaded MOTools for Nuke : www.MikeOakley.com"

createMenu()